Bug Hunting Session
Bug 126222 - EDITING Writer: After scrolling extra header/footer are shown
Summary: EDITING Writer: After scrolling extra header/footer are shown
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1 all versions
Hardware: All All
: medium normal
Assignee: Ilhan Yesil
URL:
Whiteboard: target:6.4.0 target:6.3.1
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-04 07:49 UTC by Ilhan Yesil
Modified: 2019-08-06 08:27 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample odt file with 80 pages and header/footer (9.55 KB, application/vnd.oasis.opendocument.text)
2019-07-04 07:50 UTC, Ilhan Yesil
Details
Picture 1 showing one header section per page (2.98 KB, image/png)
2019-07-04 07:51 UTC, Ilhan Yesil
Details
Picture 2 showing some header sections per page (15.87 KB, image/png)
2019-07-04 07:52 UTC, Ilhan Yesil
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ilhan Yesil 2019-07-04 07:49:24 UTC
Description:
If focus is in a header/footer, so it's section is shown, scrolling with the mouse on the scrollbar can lead to extra shown header/footer somewhere placed in the document.

Steps to Reproduce:
1. Open attached document
2. Click into header, so the header section is visible (see picture 1)
3. Select scrollbar with the mouse and do large movements
4. Repeat 3. until effect is shown (see picture 2)

Actual Results:
See picture 2

Expected Results:
Only one header section per page at the according place should be visible


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Ilhan Yesil 2019-07-04 07:50:33 UTC
Created attachment 152549 [details]
Sample odt file with 80 pages and header/footer
Comment 2 Ilhan Yesil 2019-07-04 07:51:30 UTC
Created attachment 152550 [details]
Picture 1 showing one header section per page
Comment 3 Ilhan Yesil 2019-07-04 07:52:16 UTC
Created attachment 152551 [details]
Picture 2 showing some header sections per page
Comment 4 Ilhan Yesil 2019-07-04 07:56:13 UTC
Self confirming according to https://wiki.documentfoundation.org/QA/Guidelines_for_public_and_private_sector_deployments. Issue has originally been reported by another user in our internal issue tracker.
Comment 5 Commit Notification 2019-07-26 11:25:08 UTC
Ilhan Yesil committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/80ae85d89866e501496189b2749071869ab6e98c%5E%21

tdf#126222 Headers/footers are at correct position after scrolling

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2019-07-29 17:49:14 UTC
This is an old problem, reproduced in Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 7 Xisco Faulí 2019-08-02 15:48:12 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 620fff54ca9cd04459cc5d963ef94d4438129fe4
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Ilhan Yesil, thanks for fixing this issue. Is there anythin else to do or can we close it as RESOLVED FIXED ?
Comment 8 Commit Notification 2019-08-05 11:46:48 UTC
Ilhan Yesil committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/b4c97df4b868607d87ac88ca85c4700c5248e4f4%5E%21

tdf#126222 Headers/footers are at correct position after scrolling

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.